<?php
if(!$channel[$channelid][is_html]){
qbase::showmsg("频道禁止生成HTML文档",'default',"system.php?sys=special&channelid=".$channelid."&action=manage");
}
require_once("../include/html.php");
require_once("../include/special_html.php");
$SpecialHtml=new SpecialHtml($db,$tablepre,$channelid) ;
$specialid=$_GET[specialid];
if($_GET[type]==1){
$specialid=$_POST[specialid];
}
if($specialid){
$SpecialHtml->SpecialShow($specialid);
qbase::showmsg("专题生成完毕",'default',"module.php?mod=special&channelid=".$channelid."&action=manage");
}else{
$SpecialHtml->SpecialList();
qbase::showmsg($channel[$channelid][channelname]."频道专题列表生成完毕",'default',"system.php?sys=special&channelid=".$channelid."&action=manage");
}
?>
